# -*- coding: utf-8 -*-
# vim: ts=4 
###
#
# Copyright (c) 2009 J. Félix Ontañón
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authors : J. Félix Ontañón <fontanon@emergya.es>
# 
###

import os
from xdg.BaseDirectory import xdg_data_home
from xdg.IconTheme import getIconPath

BASE_DATA_DIR = '/usr/share/wiican/'
if not os.path.exists(BASE_DATA_DIR):
    BASE_DATA_DIR='.'

MAPPINGS_BASE_DIR = os.path.join(BASE_DATA_DIR, 'mappings_base')
MAPPINGS_HOME_DIR = os.path.join(xdg_data_home, 'wiican')

MAPPING_PACKAGES_BASE_DIR = os.path.join(BASE_DATA_DIR, 'WiiPackages')
INIT_PACKAGES = [
    os.path.join(MAPPING_PACKAGES_BASE_DIR, 'wiiaccmouse.wii'),
    os.path.join(MAPPING_PACKAGES_BASE_DIR, 'irmouse.wii'),
    os.path.join(MAPPING_PACKAGES_BASE_DIR, 'wiigamepad.wii'),
    os.path.join(MAPPING_PACKAGES_BASE_DIR, 'classicgamepad.wii'),
]

GCONF_KEY = '/apps/wiican'

WIIMOTEMANAGER_UI = os.path.join(BASE_DATA_DIR, 'wiimotemanager.ui')
MAPPING_UI = os.path.join(BASE_DATA_DIR, 'mapping.ui')

ICON_DEFAULT = getIconPath('wiican')
